package cn.iocoder.yudao.module.chain.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import cn.iocoder.yudao.framework.common.enums.BlockStateEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 批次上链类型
 */
@Getter
@AllArgsConstructor
public enum BatchTypeEnum implements IntArrayValuable {

    HARVEST_BATCH(0, "采收批次"),
    INPUT_BATCH(1, "投入品采购批次"),
    INSPECTION_BATCH(2, "检验检疫批次");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(BatchTypeEnum::getType).toArray();

    /**
     * 操作类型
     */
    private final Integer type;

    private final String name;

    @Override
    public int[] array() {
        return new int[0];
    }
}
